org.apache.myfaces.trinidad.bean

## Enum PropertyKey.Mutable

- java.lang.Object
- - java.lang.Enum<PropertyKey.Mutable>
  - - org.apache.myfaces.trinidad.bean.PropertyKey.Mutable

- All Implemented Interfaces:
    Serializable, Comparable<PropertyKey.Mutable>
  Enclosing class:
    PropertyKey

      public static enum PropertyKey.Mutable
      extends Enum<PropertyKey.Mutable>

  Indicates whether or not a property is mutable, and if so how likely it is to actually be mutated. For example an array is always mutable, but it may be a string array that is very unlikely to be mutated

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMMUTABLE`
    `OFTEN`
    `RARELY`
    `SOMETIMES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAtLeastSometimesMutable()`
    `static PropertyKey.Mutable` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyKey.Mutable[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMUTABLE

          public static final PropertyKey.Mutable IMMUTABLE

    - #### RARELY

          public static final PropertyKey.Mutable RARELY

    - #### SOMETIMES

          public static final PropertyKey.Mutable SOMETIMES

    - #### OFTEN

          public static final PropertyKey.Mutable OFTEN

  - ### Method Detail

    - #### values

          public static PropertyKey.Mutable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyKey.Mutable c : PropertyKey.Mutable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyKey.Mutable valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isAtLeastSometimesMutable

          public boolean isAtLeastSometimesMutable()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.